### Method

# Gtk IconView get_visible_range

#### Declaration [src]

    gboolean
    gtk_icon_view_get_visible_range (
      GtkIconView* icon_view,
      GtkTreePath** start_path,
      GtkTreePath** end_path
    )

#### Description [src]

Sets `start_path` and `end_path` to be the first and last visible path. Note that there may be invisible paths in between.

Both paths should be freed with gtk_tree_path_free() after use.

#### Parameters

`start_path` | `GtkTreePath`
| Return location for start of region.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`end_path` | `GtkTreePath`
| Return location for end of region.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| `TRUE`, if valid paths were placed in `start_path` and `end_path`.